Responder 
 
Avaliação do Tópico:
  • 0 Votos - 0 Média
  • 1
  • 2
  • 3
  • 4
  • 5
IcedTea no amd64 substitui o java e funciona?
12/05/2008, 21:33
Resposta: #1
IcedTea no amd64 substitui o java e funciona?
Bem instalei o icedtea no meu debian amd64 lenny, peguei uns repositórios do ubuntu a instalação procedeu normal, entrei no site da java-sun e o mesmo reconheceu que estava com a última versão corretamente instalada a 1.7.0, porém tentei usa-la em aguns sites como no banco do brasil e nada, aqui no irc do forum ele abre mas não conecta.
Será que este IceTea realmente tem alguma funcionalidade para resolver o problema java no amd64?

LINUX, it's the future... and the future it's on our hands!!!
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
13/05/2008, 14:44
Resposta: #2
 
vc instalou o plugin?
apt-get install icedtea-java7-plugin

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
14/05/2008, 18:29
Resposta: #3
 
dmatrix Escreveu:vc instalou o plugin?
apt-get install icedtea-java7-plugin

Sim está instalado, poém não funfa como disse acima no post.

LINUX, it's the future... and the future it's on our hands!!!
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
14/05/2008, 21:29
Resposta: #4
 
dá uma analisada nas alterações que esse pacote faz:
# dpkg -L icedtea-java7-plugin

pode ser que tenha criado algun link quebrado ou sem alvo.

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
15/05/2008, 00:35
Resposta: #5
 
Veja a saída do comando:
Código:
Xblade:/home/adilson# dpkg -L icedtea-java7-plugin
/.
/usr
/usr/lib
/usr/lib/firefox
/usr/lib/firefox/plugins
/usr/lib/iceape
/usr/lib/iceape/plugins
/usr/lib/iceweasel
/usr/lib/iceweasel/plugins
/usr/lib/mozilla
/usr/lib/mozilla/plugins
/usr/lib/midbrowser
/usr/lib/midbrowser/plugins
/usr/lib/xulrunner
/usr/lib/xulrunner/plugins
/usr/lib/jvm
/usr/lib/jvm/java-7-icedtea
/usr/lib/jvm/java-7-icedtea/jre
/usr/lib/jvm/java-7-icedtea/jre/lib
/usr/lib/jvm/java-7-icedtea/jre/lib/amd64
/usr/lib/jvm/java-7-icedtea/jre/lib/amd64/gcjwebplugin.so
/usr/share
/usr/share/doc
/usr/share/doc/icedtea-java7-plugin

LINUX, it's the future... and the future it's on our hands!!!
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
16/05/2008, 09:01
Resposta: #6
 
tá usando o quê ? iceweasel? veja se no about:plugins aparece esse gcjwebplugin ou o java instalado.

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
16/05/2008, 10:31
Resposta: #7
 
dmatrix Escreveu:tá usando o quê ? iceweasel? veja se no about:plugins aparece esse gcjwebplugin ou o java instalado.

Uso o swifitweasel, mas tenho o iceweasel também e é a mesma coisa, não é?
Já no comando about:plugins aparece somente o plugin do icedtea instalado, o java não aparece o plugin.

LINUX, it's the future... and the future it's on our hands!!!
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
20/05/2008, 22:29
Resposta: #8
 
o que percebi é que quando é requisitado um applet do java que necessita de download de um .jar, como por exemplo o teclado virtual do banco do brasil, o sistema não está conseguindo executar o procedimento de baixar e instalar, agora num sei se isso é permissão ou falta do diretório que deveria existir no sistema para abrigar esses arquivos .jar com isso o carregamento do applet falha como descreveu acima, em paginas de teste da versão do java no site da sun isso não deve ocorrer pela simplicidade do applet. No windows é localizado o jar no perfil do usuário em dados de aplicativos\sun\java\deployment\cache\javapi\v1.0\jar aqui no linux esse caminho não está existindo algo parecido. Tem um diretório .java mas o caminho só chega até o cache.

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
20/06/2008, 12:07
Resposta: #9
 
opa! finalmente o java ficou livre e aberto http://www.jboss.org/feeds/post/java_is ... e_and_open e parece que acertaram alguns problema neste plugin, veja procedimentos de instalação no debian em http://iced-tea.org/wiki/DebianBuildingInstructions

depois vou testar no amd64.

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
23/06/2008, 09:58
Resposta: #10
 
dmatrix Escreveu:opa! finalmente o java ficou livre e aberto http://www.jboss.org/feeds/post/java_is ... e_and_open e parece que acertaram alguns problema neste plugin, veja procedimentos de instalação no debian em http://iced-tea.org/wiki/DebianBuildingInstructions

depois vou testar no amd64.

Eu tenho instalado o Icedtea pelo aptitude, tenho que instalar manualmente como está no link para funfar coreetamente?

E você já testou aí e funcionou?

LINUX, it's the future... and the future it's on our hands!!!
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
23/06/2008, 21:03
Resposta: #11
 
por enquanto só removi todo o icedtea que instalei com o pacotes do ubuntu...daqui a pouco vou instalar do modo como descrito no tutorial.

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
28/06/2008, 14:47
Resposta: #12
 
não consegui instalar o icedtea seguindo o tutorial dá erro ao tentar aplicar o patch e tb estou achando que não seja para amd64, então estou partindo para testar a versão 1.4 que dizem que funciona, a instalação consiste em adicionar o repositório blackdown:
#blackdown java
deb http://www.tux.org/pub/packages/java/debian/ etch non-free

e instalar pelo apt-get os pacotes:
# aptitude update
# aptitude install j2re1.4 j2re1.4-mozilla-plugin

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
28/06/2008, 20:02
Resposta: #13
 
dmatrix Escreveu:não consegui instalar o icedtea seguindo o tutorial dá erro ao tentar aplicar o patch e tb estou achando que não seja para amd64, então estou partindo para testar a versão 1.4 que dizem que funciona, a instalação consiste em adicionar o repositório blackdown:
#blackdown java
deb http://www.tux.org/pub/packages/java/debian/ etch non-free

e instalar pelo apt-get os pacotes:
# aptitude update
# aptitude install j2re1.4 j2re1.4-mozilla-plugin

é desta forma funcionou no navegador de 64bits

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
30/06/2008, 20:00
Resposta: #14
 
Deisntalei o icedtea e intalei o java-1.4, aparentemente deu certo, porém percebi que em sites como do bb ele ainda ocoore um problema que depois da digitação da senha qdo vai logar o swiftweasel fecha inesperadamente e não consigo acessar o site.
Já no IRC do forumdebian ele abre normalmente, isso em partes por percebia que ainda n ão estou conseguindo acessar nenhum irc através do linux nem no debian (amd64) nem no mandriva (i386), ja no xp esta abrindo normalmente. Nem abre um programinha chamado XChat gnome. Qual será o problema?
Veja, depois de demorar bastante diz time out.

LINUX, it's the future... and the future it's on our hands!!!
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
30/06/2008, 21:00
Resposta: #15
 
testa com o navegador Epiphany, aqui tava fechando tb no site do BB só de clicar no teclado virtual com o Iceweasel, daí testei com o Epiphany isso não ocorreu, porém não tenho conta pra testar Alegre a demora pode estar sendo causada pelo ipv6.

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
Responder 


Ir ao Fórum:


Usuários visualizando este tópico: 1 Visitantes

Entre em Contato | Fórum Debian | Voltar ao Topo | Voltar ao Conteúdo | Modo Leve (Arquivo) | Feeds RSS